#!/bin/bash
# controlla che almeno un parametro sia stato passato e
# che sia uguale al nome dell'utente corrente

if [ -z "$1" ]; then
	echo "utilizzo: `basename $0` nome"
	exit 1
fi

CURRENT_USER=`whoami`

if [ "$CURRENT_USER" = "$1" ]; then
	echo "Il parametro passato è uguale all'utente corrente."
else
	echo "Il parametro non corrisponde all'utente corrente."
	exit 1
fi

exit 0
